%define name  terminator
%define version 0.98
%define release %mkrel 2

Summary:	Multiple GNOME terminals in one window
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Terminals
License:        GPLv2
URL:            http://www.tenshu.net/terminator/
Source:        %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gettext-devel
BuildRequires:  python-devel
BuildArch:	noarch
Requires:       python  
Requires:       gtk+2.0
Requires:       pango
Requires:       python-gobject
Requires:	gnome-python
Requires:	GConf2
Requires:	python-vte
Requires:       hicolor-icon-theme
Requires:       python-keybinder
Requires :     gnome-python-gnomevfs
Obsoletes:  %name < %version

%description
The goal of this project is to produce a useful tool for arranging terminals.
It is inspired by programs such as gnome-multi-term, quadkonsole, etc. in that
the main focus is arranging terminals in grids (tabs is the most common default
method, which Terminator also supports).Much of the behaviour of Terminator is
based on GNOME Terminal, and we are adding more features from that as time goes
by, but we also want to extend out in different directions with useful features
for sysadmins and other users.

Features:
* Arrange terminals in a grid
* Tabs
* Drag and drop re-ordering of terminals
* Lots of keyboard shortcuts
* Config file to override gnome-terminal settings


%prep
%setup -q 
sed -i '/#! \?\/usr.*/d' terminatorlib/*.py

%build
python setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Version=1.0
Type=Application
Categories=X-MandrivaLinux-System-Terminals
Name=Terminator
Comment=Multiple terminals in one window
Icon=%{name}
Exec=%{name}
Terminal=0
EOF

%find_lang %{name}

#conflicts 
rm -f %{buildroot}/%{_datadir}/icons/hicolor/*.cache

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%doc README COPYING ChangeLog
%{_bindir}/%{name}
%{_bindir}/%{name}.wrapper
%{_bindir}/remotinator
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/%{name}*.svg
%{_iconsdir}/HighContrast/*/*/*.png
%{_iconsdir}/HighContrast/*/*/%{name}*.svg
%{python_sitelib}/Terminator-%{version}-py*.egg-info
%{python_sitelib}/terminatorlib/
%{_mandir}/man1/%{name}.*
%{_mandir}/man5/%{name}_config.*

%changelog
* Wed Mar 30 2016 bb <bb> 0.98-1pclos2016
- add req gnome-python-gnomevfs

* Wed Sep 09 2015 bb <bb> 0.98-1pclos2015
- update
